org.jboss.netty.channel.local

## Interface LocalChannel

All Superinterfaces:
  Channel, Comparable<Channel>

    public interface LocalChannel
    extends Channel

A `Channel` for the local transport.

### Field Summary

### Fields inherited from interface org.jboss.netty.channel.Channel

`OP_NONE, OP_READ, OP_READ_WRITE, OP_WRITE`

### Method Summary

Methods
`LocalAddress` `getLocalAddress()` Returns the local address where this channel is bound to.
`LocalAddress` `getRemoteAddress()` Returns the remote address where this channel is connected to.

### Methods inherited from interface org.jboss.netty.channel.Channel

`bind, close, connect, disconnect, getAttachment, getCloseFuture, getConfig, getFactory, getId, getInterestOps, getParent, getPipeline, isBound, isConnected, isOpen, isReadable, isWritable, setAttachment, setInterestOps, setReadable, unbind, write, write`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getLocalAddress

    LocalAddress getLocalAddress()

Description copied from interface: `Channel`
Returns the local address where this channel is bound to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.

Specified by:
  `getLocalAddress` in interface `Channel`
Returns:
  the local address of this channel. `null` if this channel is not bound.

#### getRemoteAddress

    LocalAddress getRemoteAddress()

Description copied from interface: `Channel`
Returns the remote address where this channel is connected to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.

Specified by:
  `getRemoteAddress` in interface `Channel`
Returns:
  the remote address of this channel. `null` if this channel is not connected. If this channel is not connected but it can receive messages from arbitrary remote addresses (e.g. `DatagramChannel`, use `MessageEvent.getRemoteAddress()` to determine the origination of the received message as this method will return `null`.